Subject: Re: [PATCH net-next v2 0/3] net: qualcomm: rmnet: Enable Mapv5

From: [email-masked]
Date: Mon, 22 Feb 2021 10:35:01 -0700

On 2021-02-22 09:55, Sharath Chandra Vurukala wrote:
> This series introduces the MAPv5 packet format.
> 
> Patch 0 documents the MAPv5.
> Patch 1 introduces the Mapv5 and the Inline checksum offload for RX.
> Patch 2 introduces the Mapv5 and the Inline checksum offload for TX.
> 
> A new checksum header format is used as part of MAPv5.
> For RX checksum offload, the checksum is verified by the HW and the
> validity is marked in the checksum header of MAPv5.
> for TX, the required metadata is filled up so hardware can compute the
> checksum.
> 
> v1->v2:
> - Fixed the compilation errors, warnings reported by kernel test robot.
> - Checksum header definition is expanded to support big, little endian
> formats as mentioned by Jakub.
> 
> Sharath Chandra Vurukala (3):
>   docs: networking: Add documentation for MAPv5
>   net: ethernet: rmnet: Support for downlink MAPv5 checksum offload
>   net: ethernet: rmnet: Add support for Mapv5 uplink packet
> 
>  .../device_drivers/cellular/qualcomm/rmnet.rst     |  53 ++++++-
>  drivers/net/ethernet/qualcomm/rmnet/rmnet_config.h |   4 +-
>  .../net/ethernet/qualcomm/rmnet/rmnet_handlers.c   |  34 +++--
>  drivers/net/ethernet/qualcomm/rmnet/rmnet_map.h    |  22 ++-
>  .../net/ethernet/qualcomm/rmnet/rmnet_map_data.c   | 153
> ++++++++++++++++++++-
>  include/linux/if_rmnet.h                           |  24 +++-
>  include/uapi/linux/if_link.h                       |   2 +
>  7 files changed, 263 insertions(+), 29 deletions(-)

For the series-

Reviewed-by: Subash Abhinov Kasiviswanathan <[email-masked]>